Bug 501092 - Displayed cursor doesn't properly move off the top of second screen
Displayed cursor doesn't properly move off the top of second screen
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_R600/M
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 20:58 EDT by Sam
Modified: 2010-03-02 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 12:49:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (341.98 KB, text/plain)
2009-05-15 20:58 EDT, Sam
no flags Details

  None (edit)
Description Sam 2009-05-15 20:58:54 EDT
Created attachment 344245 [details]
Xorg.0.log

Description of problem:
I have two screens. One is 1280x1024, and one is 1024x768. They're arranged like this:

|---------------|--------------|
|...............|______________|
|...1280x1024...|..............|
|...............|..1024x768....|
|...............|..............|
|_______________|______________|

If I move my mouse cursor up into the "empty space" above the smaller monitor, the cursor will reach the top edge of the monitor and stop. If I'm dragging a window up into the "empty space", the cursor will stop moving once it reaches the top of the smaller screen, but the window will keep moving up as though nothing strange is happening.

After about 40 pixels of my cursor appearing stuck while I move it up into the "empty space", the cursor will start to disappear from the bottom up. For example, only the top half of the cursor will be showing on the top edge of the monitor. Moving my mouse farther up will cause less of the cursor to be visible, and moving my mouse down causes more of the cursor to be visible.

In all of this, screenshots, dragging windows around, and moving the cursor left to the larger screen show that the "actual" cursor position is moving around correctly, but the cursor is not being properly drawn at that position.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.6.1-11.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586

How reproducible:
always

Steps to Reproduce:
1.Have a second monitor with "empty space" above it.
2.Move cursor up into empty space
  
Actual results:
Cursor stops for ~40 pixels, then disappears from the bottom up.

Expected results:
Cursor should act like it's moving behind the plastic casing of my monitor: not stop and not show just the top half of my cursor on the top edge of the screen.

Additional info:
This is on a Radeon 9000, if that's significant. I'll attach /var/log/Xorg.0.log; there's no xorg.conf. This bug is on a fully-updated F11 Preview installation.
Comment 1 Bug Zapper 2009-06-09 11:54:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Sam 2009-07-12 18:43:31 EDT
Update:

This only happens with KMS enabled, which makes me wonder if I reported this against the wrong package.

Still happening with:
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586
kernel-PAE-2.6.29.5-191.fc11.i686
Comment 3 Matěj Cepl 2009-11-05 13:29:20 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Matěj Cepl 2010-02-26 07:26:24 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 5 Sam 2010-02-26 17:25:08 EST
Unless someone else shows up to test, this report can be closed. I no longer have this video card and so cannot test it.
Comment 6 Matěj Cepl 2010-03-02 12:49:16 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.